Bug 84853 - License field of popt RPM is wrong
License field of popt RPM is wrong
Product: Red Hat Linux
Classification: Retired
Component: popt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2003-02-21 22:13 EST by James Henstridge
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-21 22:44:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Henstridge 2003-02-21 22:13:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
The popt RPM on my system claims to be GPL, yet the license included in the
source code seems to be an X11 style license.

It would be good to include a copy of the COPYING file in the RPM, as well as
include the license terms as a comment at the top of the headers and source.

I am mainly bringing this up because the issue was raised by the FSF in relation
to the copy of popt included with the pkg-config program.  Details of this
original report can be found at:

Would be useful to see this fixed.
Comment 1 Jeff Johnson 2003-02-21 22:44:22 EST
Yes, very confusing. AFAIK, here's the licensing for rpm/popt:

    1) popt source code is X11, so the license in the popt tree
     is correct.
    2) when distributed with rpm, the license is the same
     as that of the rpm CLI, namely GPL, so the binary popt
     sub-package correctly identifies as GPL. rpm sources have
     a copy of COPYING.
    3) rpmlib (and rpm sources in general) are LGPL, no GPL
     code at all.

Comment 2 James Henstridge 2003-02-22 02:54:00 EST
Thanks for the clarification.  I have put the full copyright terms in the
comments at the start of the popt files in pkg-config.

It might be worth doing the same for the official versions as well to save any
later grief.  There is nothing wrong with including a bit of code with an X11
style license in a GPL program (the only requirement is that the combined work
be distributable under the GPL; it doesn't require that the individual
components be changed to GPL.

Note You need to log in before you can comment on or make changes to this bug.